castor02 integration node /srv disk is full
Closed, ResolvedPublic

Description

I think this node is used for caching castor jobs.

thcipriani@castor02:~$ df -h                                                                                                                          
Filesystem                          Size  Used Avail Use% Mounted on                                                                                  
udev                                 10M     0   10M   0% /dev
tmpfs                               1.6G  153M  1.5G  10% /run
/dev/vda3                            19G  3.4G   15G  19% /
tmpfs                               4.0G     0  4.0G   0% /dev/shm
tmpfs                               5.0M     0  5.0M   0% /run/lock
tmpfs                               4.0G     0  4.0G   0% /sys/fs/cgroup
/dev/mapper/vd-second--local--disk   60G   55G  1.7G  98% /srv
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2018, 10:54 PM

It's just a cache, we could just wipe it and let it naturally fill up again.

Mentioned in SAL (#wikimedia-releng) [2018-08-21T08:09:17Z] <hashar> castor: removing cache for mediawiki-extensions-* jobs (no more used) rm -fR /srv/jenkins-workspace/caches/*/*/mediawiki-extensions* | T202341

thcipriani closed this task as Resolved.Aug 22 2018, 3:36 PM
thcipriani claimed this task.

/srv now has some space

Mentioned in SAL (#wikimedia-releng) [2018-08-21T08:09:17Z] <hashar> castor: removing cache for mediawiki-extensions-* jobs (no more used) rm -fR /srv/jenkins-workspace/caches/*/*/mediawiki-extensions* | T202341

Maybe we should automate this?